import { WebReaderSWConfig } from './types';
/**
 * Sets up the event listeners to:
 *  - On Fetch
 *    - Serve cached responses if they exist and are less than a week old.
 */
export default function initWebReaderSW({ cacheExpirationSeconds, }?: WebReaderSWConfig | undefined): void;
/**
 * On a fetch event, respond with an item from the cache, if
 * it exists. We don't ever add things to the cache here,
 * because the fetch event is called for _all_ network requests,
 * and we can't tell if any given request is for app resources or
 * publication resources. Thus publication resources are added
 * to the cache separately, and then just returned if found here.
 *
 * This event listener MUST be run as the last fetch event listener
 * of all in the host app because it always responds to the event
 * in order to be able to use async functionality.
 */
